Support » Plugin: BuddyMeet » Shortcode not working on Learndash lessons

  • Resolved villelai

    (@villelai)


    Hello.

    I’m trying to use your plugin with Learndash. I noticed that shortcode doesn’t work on a course lesson page. After forcing scripts loading in plugin code everything is working fine :

    // $load_scripts = false;
    $load_scripts = true;
            if(is_page()){
                $post = get_post();
                if($post && has_shortcode($post->post_content, buddymeet_get_slug())){
                    $load_scripts = true;
                } else if( function_exists( 'buddypress' )){
                    global $bp;
                    if(buddymeet_get_slug() === $bp->current_action){
                        $load_scripts = true;
                    }
                }

    Can you fix this somehow?

Viewing 9 replies - 1 through 9 (of 9 total)
  • I found another problem. I have hosted Jitsi myself and protected room creation from anonymous users. I create room from Meet frontend beforehand. When loading room via shortcode, Jitsi Meet shows visual warning on red background: “Failed to lock the conference.” There is also log warning: “setting password failed Error: You are not moderator.”

    When commenting out these lines, I can get rid of warnings:

    //            api.addEventListener("videoConferenceJoined", function(event){
    //                api.executeCommand("password", "%19$s");
    //            });

    It seems you may not set empty password in API request.

    Plugin Author tdakanalis

    (@tdakanalis)

    Hello,

    so it seems that Learndash course page is not a post. Could you please provide me with an extra generic check to add? I have not installed the plugin – which is a premium one – and unfortunattely I have very limited time.

    Thanks,
    Themis

    Here is an example. I think it’s a post: https://lms.rkropisto.fi/lessons/test/
    Shortcode is working now because of my modifications.

    @villelai how did you manage the solution? i had same problem with When loading room via shortcode, Jitsi Meet shows visual warning on red background: “Failed to lock the conference.” There is also log warning: “setting password failed Error: You are not moderator.”, thanks to both.

    @pguzmanc I already told it. I commented out (added //) those three lines in buddymeet.php located in the plugin folder. It’s not good solution so I hope @tdakanalis can fix it the problem in the next plugin release.

    Following this as I have the same issue with the lock error (I am not using learndash).

    I have also commented out these lines in buddypress.php to resolve this.

    André

    (@andrearaujo7967)

    Thank you, I managed to resolve with your suggestion

    Plugin Author tdakanalis

    (@tdakanalis)

    Hi,

    please update to the just released version (1.7.0).

    Thanks,
    Themis

    Plugin Author tdakanalis

    (@tdakanalis)

    Version 1.8.0 resolves the issue “Failed to lock the conference”

Viewing 9 replies - 1 through 9 (of 9 total)
  • You must be logged in to reply to this topic.